;;;
;;; Copyright (C) 2010 Frederic Vecoven
;;;
;;; This file is part of NixieClock
;;;
;;; NixieClock is free software; you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 3 of the License, or
;;; (at your option) any later version.
;;;
;;; NixieClock is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program. If not, see <http://www.gnu.org/licenses/>.
;;;

;
; Delays
;
	include hv.inc
	
	extern	d1, d2, d3
	
	
delay_code	CODE


delay_1s
	GLOBAL	delay_1s
	movlw	.100
	movwf	d3
delay_1s_0
	call	delay_10ms
	decfsz	d3,f
	bra	delay_1s_0
	return
	

delay_100ms
	GLOBAL	delay_100ms
	movlw	.10
	movwf	d3
delay_100ms_0
	call	delay_10ms
	decfsz	d3,f
	bra	delay_100ms_0
	return

delay_10ms
	GLOBAL	delay_10ms
			;79993 cycles
	movlw	0x7E
	movwf	d1
	movlw	0x3F
	movwf	d2
delay_10ms_0
	decfsz	d1,f
	bra	delay_10ms_0
	nop
	decfsz	d2,f
	bra	delay_10ms_0

			;3 cycles
	nop
	nop
	nop

			;4 cycles (including call)
	return


delay_1ms
	GLOBAL	delay_1ms
			;7993 cycles
	movlw	0x3E
	movwf	d1
	movlw	0x07
	movwf	d2
delay_1ms_0
	decfsz	d1, f
	bra	delay_1ms_0
	nop
	decfsz	d2, f
	bra	delay_1ms_0

			;3 cycles
	nop
	nop
	nop

			;4 cycles (including call)
	return
	
	
		END
		